Skip to main content

Update a container

PUT 

/containers/:containerId

The operation allows you to update a specific container, changing some of its properties. Any properties not specified in the request body will stay unchanged.

Request

Path Parameters

    containerId stringrequired

Header Parameters

    X-Codenow-Api-Key anyrequired

    CodeNOW API Key

Body

required

    description stringnullable


    The detailed textual description of the container. Allows users to add additional context, notes, or any relevant information about the purpose, usage, or characteristics of the container.

    maxQueueSize int32nullable

    Possible values: >= 2 and <= 30


    The maximum number of builds that will be kept in the queue. Older builds will be archived. This field is optional. If provided, it must be a value between 2 and 30.

    ciSettings

    object

    nullable


    The CI settings for the container. If provided, the CI settings will be updated.

    provider stringnullable


    Associated CI provider:
    codenow - uses CodeNow CI
    external - uses external CI

    availableProviders string[]nullable


    List of CI providers that are configurable for the container.

    globalPipelinesConfiguration booleannullable


    A boolean flag indicating whether pipeline settings are globally configured for the entire repository. If set to false, the pipeline settings are independently customized for individual branches.

Responses

Container was updated

Schema

    status stringrequired

    Possible values: non-empty

Loading...